Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemTextLiteral

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemTextLiteral

public class ElemTextLiteral
extends ElemTemplateElement

**For advanced use only** Implement a text literal.

See Also:
  section-Creating-Text in XSLT Specification, Serialized Form

Constructor Summary
`ElemTextLiteral()` **For advanced use only**

Method Summary
`void` | `execute(TransformerImpl transformer, Node sourceNode, QName mode)` **For advanced use only** Copy the text literal to the result tree.
`char[]` | `getChars()` **For advanced use only** Get the characters that will be output to the result tree..
`boolean` | `getDisableOutputEscaping()` **For advanced use only** Get the "disable-output-escaping" attribute.
`java.lang.String` | `getNodeName()` **For advanced use only** Return the node name.
`boolean` | `getPreserveSpace()` **For advanced use only** Get whether or not space should be preserved.
`int` | `getXSLToken()` **For advanced use only** Get an integer representation of the element type.
`void` | `setChars(char[] v)` **For advanced use only** Set the characters that will be output to the result tree..
`void` | `setDisableOutputEscaping(boolean v)` **For advanced use only** Set the "disable-output-escaping" attribute.
`void` | `setPreserveSpace(boolean v)` **For advanced use only** Set whether or not space should be preserved.

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, compose, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getPrefixes, getPreviousSibling, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getXmlSpace, hasChildNodes, isCompiledTemplate, item, removeChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setLocaterInfo, setPrefixes, setPrefixes, setXmlSpace`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemTextLiteral

    public ElemTextLiteral()

Method Detail

### setPreserveSpace

    public void setPreserveSpace(boolean v)

  **For advanced use only** Set whether or not space should be preserved.

### getPreserveSpace

    public boolean getPreserveSpace()

  **For advanced use only** Get whether or not space should be preserved.

### setChars

    public void setChars(char[] v)

  **For advanced use only** Set the characters that will be output to the result tree..

### getChars

    public char[] getChars()

  **For advanced use only** Get the characters that will be output to the result tree..

### setDisableOutputEscaping

    public void setDisableOutputEscaping(boolean v)

  **For advanced use only** Set the "disable-output-escaping" attribute. Normally, the xml output method escapes & and < (and possibly other characters) when outputting text nodes. This ensures that the output is well-formed XML. However, it is sometimes convenient to be able to produce output that is almost, but not quite well-formed XML; for example, the output may include ill-formed sections which are intended to be transformed into well-formed XML by a subsequent non-XML aware process. For this reason, XSLT provides a mechanism for disabling output escaping. An xsl:value-of or xsl:text element may have a disable-output-escaping attribute; the allowed values are yes or no; the default is no; if the value is yes, then a text node generated by instantiating the xsl:value-of or xsl:text element should be output without any escaping.
  See Also:
    disable-output-escaping in XSLT Specification

### getDisableOutputEscaping

    public boolean getDisableOutputEscaping()

  **For advanced use only** Get the "disable-output-escaping" attribute. Normally, the xml output method escapes & and < (and possibly other characters) when outputting text nodes. This ensures that the output is well-formed XML. However, it is sometimes convenient to be able to produce output that is almost, but not quite well-formed XML; for example, the output may include ill-formed sections which are intended to be transformed into well-formed XML by a subsequent non-XML aware process. For this reason, XSLT provides a mechanism for disabling output escaping. An xsl:value-of or xsl:text element may have a disable-output-escaping attribute; the allowed values are yes or no; the default is no; if the value is yes, then a text node generated by instantiating the xsl:value-of or xsl:text element should be output without any escaping.
  See Also:
    disable-output-escaping in XSLT Specification

### getXSLToken

    public int getXSLToken()

  **For advanced use only** Get an integer representation of the element type.
  Returns:
    An integer representation of the element, defined in the Constants class.
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  **For advanced use only** Return the node name.
  Overrides:
    getNodeName in class ElemTemplateElement

### execute

    public void execute(TransformerImpl transformer,
                        Node sourceNode,
                        QName mode)
                 throws SAXException

  **For advanced use only** Copy the text literal to the result tree.
  Overrides:
    execute in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.